Bug 344871 - Gramps cannot find installed freefont
Gramps cannot find installed freefont
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gramps (Show other bugs)
7
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-21 23:21 EDT by Jerry James
Modified: 2008-06-16 22:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:42:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to correctly detect freefont on Fedora (748 bytes, patch)
2008-01-14 16:46 EST, Jerry James
no flags Details | Diff

  None (edit)
Description Jerry James 2007-10-21 23:21:16 EDT
Description of problem:
When I start gramps from a terminal, I get the following messages:
LPRDoc: Free true type fonts not found.
        Microsoft true type fonts not found.
        Using Gnome standard fonts.
        Non-ascii characters will appear garbled in the output.
        INSTALL Free true type fonts
        from http://www.nongnu.org/freefont/

The free fonts to which it refers are in the freefont package, which I have
installed.  The problem appears to lie in /usr/share/gramps/docgen/LPRDoc.py, in
the variable _TTF_FREEFONT.  It is using the wrong names for the monospaced
fonts.  Instead of FreeMono Medium, Bold, Oblique, and BoldOblique, it should be
looking for "FreeMono Normal", "FreeMono Negreta", "FreeMono Cursiva", and
"FreeMono Negreta cursiva".

Version-Release number of selected component (if applicable):
gramps-2.2.6-1.fc7

How reproducible:
Always

Steps to Reproduce:
1. Install freefont
2. Run gramps
  
Actual results:
Gramps complains that it cannot find freefont.

Expected results:
Gramps should use freefont.

Additional info:
Comment 1 Jerry James 2008-01-14 16:46:11 EST
Created attachment 291646 [details]
Patch to correctly detect freefont on Fedora
Comment 2 Jeffrey C. Ollie 2008-02-11 16:02:44 EST
Hello, I'm taking over the gramps package maintenance.  Does this problem occur
with newer versions of gramps?  Version 2.2.10 is the latest available upstream
- I'm working on getting it built for F-8 and F-7.
Comment 3 Jerry James 2008-02-11 17:37:42 EST
And I'm the guy who signed on to comaintain it.  Yes, this problem still exists
with the upstream 2.2.10 sources.  Are you okay with applying that patch?
Comment 4 Jeffrey C. Ollie 2008-02-11 20:35:37 EST
Yeah, I think that the patch should be fine.  It looks like gramps is moving to
the gtkprint APIs in v3.0 which should take care of the issue.
Comment 5 Bug Zapper 2008-05-14 10:49:02 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 22:42:51 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.